Check project report at https://gitlab.com/ashwin.vbs-ufl/dataviz/dataviz/-/blob/028669758791605391b44f91eadde1220ae3d634/Report.pdf

The program will not compile as it is dependent on libST which I am not authorized to redistribute. Migration of dependencies to a custom library is in progress.
